> For the complete documentation index, see [llms.txt](https://docs.terminal.africa/tship/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.terminal.africa/tship/webhooks/create-webhook.md).

# Create Webhook

## /webhooks

<mark style="color:green;">`POST`</mark> `https://api.terminal.africa/v1/webhooks`

This endpoint allows you to create a new webhook for a user.

#### Headers

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Set value to `Bearer SECRET_KEY` |
| Content-Type                                    | String | Set value to `application/json`  |

#### Request Body

| Name                                     | Type    | Description                                                                                     |
| ---------------------------------------- | ------- | ----------------------------------------------------------------------------------------------- |
| name<mark style="color:red;">\*</mark>   | String  | Name of webhook.                                                                                |
| active<mark style="color:red;">\*</mark> | Boolean | Indicated if webook is active. If set to false, events will not be sent to the endpoint.        |
| events<mark style="color:red;">\*</mark> | Array   | List of webhook event types.                                                                    |
| live<mark style="color:red;">\*</mark>   | Boolean | Indicate if endpoint is for test or live events.                                                |
| url<mark style="color:red;">\*</mark>    | String  | Endpoint url for receiving webhook events. If live is set to true, must provide https endpoint. |

{% tabs %}
{% tab title="200 Webhook created successfully." %}

```
{
	status: true,
	message: 'Webhook created successfully',
	data: {
		active: true,
		events: ['shipment.created'],
		live: true,
		name: 'Shipment Create',
		url: 'https://terminal-africa.com/webhooks/shipmonk',
		user: '6aVb7978zZYmke2gJPF9WppUEWvvK5OU',
		webhook_id: 'WA-70919934470',
		created_at: '2021-07-13T20:25:53.011Z',
		updated_at: '2021-07-13T20:25:53.011Z'
	}
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.terminal.africa/tship/webhooks/create-webhook.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
